<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Puzzle</title>
</head>
<body>

	<style>
		.canvas{
			border: solid thin #888;
			width:500px;
			height:500px;
			flex: 1;
		}

		.canvas-holder{
			margin: auto;
			margin-top:50px;
			width:100%;
			max-width:800px;
			background-color: #eee;
			display: flex;
		}
		.cropped-images{
			flex:1;
		}

		.btn{
			padding:10px;
			border: solid thin #888;
			cursor: pointer;
			display: inline-block;
		}
	</style>
	<div class="canvas-holder">
		<canvas class="canvas"></canvas>
		<div class="cropped-images">
			<div class="controls">
				<label>
					<input type="file" name="image" style="display:none">
					<div class="btn">Load Image</div>
				</label>
			</div>
			<div class="images"></div>
		</div>
	</div>
</body>
</html>

<script>
	
	const canvas = document.querySelector(".canvas");
	const ctx = canvas.getContext('2d');

	const cropped_images_div = document.querySelector(".cropped-images");

	canvas.addEventListener('mousemove',mousemoved);
	canvas.addEventListener('mousedown',mousedown);
	window.addEventListener('mouseup',mouseup);

	var mouseIsDown = false;

	function mousemoved(e)
	{
		if(mouseIsDown){
			cropped_images_div.innerHTML = `x:${e.clientX - canvas.offsetLeft} y:${e.clientY - canvas.offsetTop}`;
		}
	}

	function mousedown(e)
	{
		mouseIsDown = true;
	}

	function mouseup(e)
	{
		mouseIsDown = false;
	}

	
</script>